Bug 59114 - .d-style scripts for ifup/ifdown
.d-style scripts for ifup/ifdown
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lukáš Nykrýn
Brock Organ
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-31 02:35 EST by Mikhail Zabaluev
Modified: 2014-08-12 09:27 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-12 09:21:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mikhail Zabaluev 2002-01-31 02:35:57 EST
It would be nice to have directories where packages would put scripts to run at
ifup/ifdown execution.

A sketch on proposed directory layout:

/etc/sysconfig/network-scripts/ifup.d/0common/  -- for all
connections/etc/sysconfig/network-scripts/ifup.d/eth/      -- for Ethernet
interfaces
/etc/sysconfig/network-scripts/ifup.d/eth0/     -- user may put
interface-specific scripts here
/etc/sysconfig/network-scripts/ifup.d/ppp/      -- for PPP connections
The layout can be simpler, without breakup into subdirectories, having scripts
free to decide if they perform for a specific interface name.
Comment 1 Robert Scheck 2004-10-10 07:06:02 EDT
I totally agree and I think, we should have .d-directories for scripts 
at least for Fedora Core 3...
Comment 2 iarly selbir 2009-10-26 13:49:10 EDT
It's tagged for RFE,  is already done? 

--
Fedora Bugzappers Team Member
Comment 3 Bill Nottingham 2009-10-26 15:08:48 EDT
No.
Comment 4 Fedora Admin XMLRPC Client 2013-09-04 10:49:14 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Matthew Miller 2014-08-12 09:21:19 EDT
See bug #11539 -- new features for initscripts aren't being developed.
Comment 6 Lukáš Nykrýn 2014-08-12 09:27:07 EDT
But we will have this in networkd :)

Note You need to log in before you can comment on or make changes to this bug.